type Date = {
    year: number,
    month: number,
    day: number,
}

export default (date: string): Date => {
    if (date === "") {
        return {
            year: 0,
            month: 0,
            day: 0,
        }
    }
    const re = /^([0-9]{4})-([0-9]{2})-([0-9]{2})/
    const newDate = re.exec(date)
    return {
        year: Number(newDate[1]),
        month: Number(newDate[2]),
        day: Number(newDate[3])
    }
}